- Qt 6.10
- Qt Graphs
- Qt Graphs C++ Classes for 3D
- Obsolete Members for QtGraphs3D
- Qt Graphs | Commercial or GPLv3

# Obsolete Members for QtGraphs3D

The following members of class QtGraphs3D are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Functions

`(deprecated in 6.9)` QSurfaceFormat | qDefaultSurfaceFormat(bool antialias)

## Function Documentation

### `[deprecated in 6.9]` QSurfaceFormat qDefaultSurfaceFormat(bool antialias)

This function is deprecated since 6.9. We strongly advise against using it in new code.

Use QQuick3D::idealSurfaceFormat()

This convenience function can be used to create a custom surface format suitable for use by Qt Graphs graphs.

The antialias parameter specifies whether or not antialiasing is activated.

Give the surface format returned by this function to the graph constructor (C++) or set it as the window format for QQuickView (QML) before calling `show()` on it.

For example, disable antialiasing on C++ application:

     #include <QtGraphs/qutils.h>

     // ...

     QSurfaceFormat::setDefaultFormat(qDefaultSurfaceFormat(true));

For example, enable antialiasing for direct rendering modes on QML application:

     #include <QtGraphs/qutils.h>

     // ...

     QQuickView viewer;
     viewer.setFormat(qDefaultSurfaceFormat(true));